# GENERACION DE PROCESOS MA

#parametros:

n<-120
theta<--0.8
sigma<-0.75

# Ruido blanco normal:
a<-round(rnorm(n,0,sigma),4)
a

# -----------------------------------------------

# Serie MA(1):

y<-numeric(n)

y[1]<-round(rnorm(1,0,sigma),4)
for (t in 2:n){
   y[t]<-a[t]-theta*a[t-1]
}

t<-1:n
plot(t,y,main="Proceso MA(1)",type=)

win.graph(width=4.875,height=3,pointsize=8)

plot(t,y,ylab=expression(Y[t]),type='o',col="blue")

# -----------------------------------------------------

# formar Data Frame y guardar:

MA1<-data.frame(t,y)
MA1

write.csv(MA1,file.choose())

########################################################

# GENERACION DE PROCESOS AR

#parametros:

n<-140
fi<-0.5
sigma<-0.68

# Ruido blanco normal:
a<-round(rnorm(n,0,sigma),4)
a

# -----------------------------------------------

# Serie MA(1):

y<-numeric(n)

y[1]<-rnorm(1,0,sigma)
y[1]
for (t in 2:n){
   y[t]<-fi*y[t-1]+a[t]
}
y<-round(y,4)
y

t<-1:n
plot(t,y,main="Proceso AR(1)",type="l")

# -----------------------------------------------------

# formar Data Frame y guardar:

AR1<-data.frame(t,y)
AR1

write.csv(AR1,file.choose())

# -------------------------------------------------------





